org.apache.hadoop.hdfs.server.diskbalancer.command

## Class ExecuteCommand

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.hadoop.hdfs.server.diskbalancer.command.Command
    - - org.apache.hadoop.hdfs.server.diskbalancer.command.ExecuteCommand

- All Implemented Interfaces:
    Closeable, AutoCloseable, org.apache.hadoop.conf.Configurable

      public class ExecuteCommand
      extends Command

  executes a given plan.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecuteCommand(org.apache.hadoop.conf.Configuration conf)` Constructs ExecuteCommand.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(org.apache.commons.cli.CommandLine cmd)` Executes the Client Calls.
    `void` | `printHelp()` Gets extended help for this command.

    - ### Methods inherited from class org.apache.hadoop.hdfs.server.diskbalancer.command.Command

      `addValidCommandParameters, close, create, getClusterURI, getDataNodeProxy, getDefaultTop, getNodeList, getNodes, getOutputPath, getTopNodes, open, parseTopNodes, populatePathNames, readClusterInfo, recordOutput, setCluster, setClusterURI, setNodesToProcess, setNodesToProcess, setOutputPath, setTopNodes, verifyCommandOptions`

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecuteCommand

          public ExecuteCommand(org.apache.hadoop.conf.Configuration conf)

      Constructs ExecuteCommand.
      Parameters:
        `conf` - - Configuration.

  - ### Method Detail

    - #### execute

          public void execute(org.apache.commons.cli.CommandLine cmd)
                       throws Exception

      Executes the Client Calls.
      Specified by:
        `execute` in class `Command`
      Parameters:
        `cmd` - - CommandLine
      Throws:
        `Exception`

    - #### printHelp

          public void printHelp()

      Gets extended help for this command.
      Specified by:
        `printHelp` in class `Command`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.